On Mon, 2008-10-06 at 22:15 +0530, Srinivasa Ragavan wrote:
> Rob,
> 
> IIRC, I had replied to Ross on a similar query, start GNOME 2.24. Still
> OpenSUSE ships with in-built libdb. I'm not aware of any other distro.
> 
> JPR, who use to maintain Evolution few years back, gave me the notes on
> why it was decided to go this way (forking libdb). So if we have answers
> for all those points, I'm fine for that. We don't want to break anything
> thatz fine otherwise. I'm not tracking libdb at all, if you have the
> answers, then lets recalculate and plan for it in 2.26.

I tried to find some details on the Oracle site about any file format
guarantees. I couldn't. 

There is some code in the file backend to try and handle upgrading. I'm
not sure how well tested this code path is. 

Since that the vast majority of users out there have the system libdb
dynamically linked into their binaries with apparently no ill effects.

However, there hasn't been a major version upgrade (with incompatible
file formats) for quite some time.

Cheerio,

Rob


_______________________________________________
Evolution-hackers mailing list
Evolution-hackers@gnome.org
http://mail.gnome.org/mailman/listinfo/evolution-hackers

Reply via email to